Index: trunk/LMDZ.GENERIC/libf/phystd/planete_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/planete_mod.F90	(revision 1308)
+++ trunk/LMDZ.GENERIC/libf/phystd/planete_mod.F90	(revision 1308)
@@ -0,0 +1,42 @@
+MODULE planete_mod
+  IMPLICIT NONE
+  
+  REAL :: apoastr ! maximum star-planet distance (AU)
+  REAL :: periastr ! minimum star-planet distance (AU)
+  REAL :: year_day ! length of year (sols)
+  REAL :: peri_day ! date of periastron (sols since N. spring)
+  REAL :: obliquit ! Obliquity of the planet (deg)
+  REAL :: nres ! tidal resonance ratio
+  REAL :: z0 ! surface roughness (m)
+  REAL :: lmixmin ! mixing length
+  REAL :: emin_turb ! minimal energy
+  REAL :: coefvis
+  REAL :: coefir
+  REAL :: timeperi
+  REAL :: e_elips
+  REAL :: p_elips
+  
+  REAL :: preff ! reference surface pressure (Pa)
+  REAL,ALLOCATABLE :: ap(:) ! hybrid coordinate at layer interface
+  REAL,ALLOCATABLE :: bp(:) ! hybrid coordinate at layer interface
+  
+  CONTAINS
+  
+  subroutine ini_planete_mod(nlayer,preff_dyn,ap_dyn,bp_dyn)
+  
+  implicit none
+  integer,intent(in) :: nlayer ! number of atmospheric layers
+  real,intent(in) :: preff_dyn ! reference surface pressure (Pa)
+  real,intent(in) :: ap_dyn(nlayer+1) ! hybrid coordinate at interfaces
+  real,intent(in) :: bp_dyn(nlayer+1) ! hybrid coordinate at interfaces
+  
+  allocate(ap(nlayer+1))
+  allocate(bp(nlayer+1))
+  
+  preff=preff_dyn
+  ap(:)=ap_dyn(:)
+  bp(:)=bp_dyn(:)
+  
+  end subroutine ini_planete_mod
+  
+END MODULE planete_mod
Index: trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90	(revision 1308)
@@ -20,5 +20,5 @@
 
 !==================================================================
-   subroutine su_aer_radii(ngrid,reffrad,nueffrad)
+   subroutine su_aer_radii(ngrid,nlayer,reffrad,nueffrad)
 !==================================================================
 !     Purpose
@@ -39,11 +39,12 @@
 
       include "callkeys.h"
-      include "dimensions.h"
-      include "dimphys.h"
-
-      integer,intent(in) :: ngrid
-
-      real, intent(out) :: reffrad(ngrid,nlayermx,naerkind)      !aerosols radii (K)
-      real, intent(out) :: nueffrad(ngrid,nlayermx,naerkind)     !variance     
+!      include "dimensions.h"
+!      include "dimphys.h"
+
+      integer,intent(in) :: ngrid
+      integer,intent(in) :: nlayer
+
+      real, intent(out) :: reffrad(ngrid,nlayer,naerkind)      !aerosols radii (K)
+      real, intent(out) :: nueffrad(ngrid,nlayer,naerkind)     !variance     
 
       logical, save :: firstcall=.true.
@@ -58,26 +59,26 @@
 
             if(iaer.eq.iaero_co2)then ! CO2 ice
-               reffrad(1:ngrid,1:nlayermx,iaer) = 1.e-4
-               nueffrad(1:ngrid,1:nlayermx,iaer) = 0.1 
+               reffrad(1:ngrid,1:nlayer,iaer) = 1.e-4
+               nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
             endif
 
             if(iaer.eq.iaero_h2o)then ! H2O ice
-               reffrad(1:ngrid,1:nlayermx,iaer) = 1.e-5
-               nueffrad(1:ngrid,1:nlayermx,iaer) = 0.1 
+               reffrad(1:ngrid,1:nlayer,iaer) = 1.e-5
+               nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
             endif
 
             if(iaer.eq.iaero_dust)then ! dust
-               reffrad(1:ngrid,1:nlayermx,iaer) = 1.e-5
-               nueffrad(1:ngrid,1:nlayermx,iaer) = 0.1 
+               reffrad(1:ngrid,1:nlayer,iaer) = 1.e-5
+               nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
             endif
  
             if(iaer.eq.iaero_h2so4)then ! H2O ice
-               reffrad(1:ngrid,1:nlayermx,iaer) = 1.e-6
-               nueffrad(1:ngrid,1:nlayermx,iaer) = 0.1 
+               reffrad(1:ngrid,1:nlayer,iaer) = 1.e-6
+               nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
             endif
 	    
 	    if(iaer.eq.iaero_back2lay)then ! Two-layer aerosols
-               reffrad(1:ngrid,1:nlayermx,iaer) = 2.e-6
-               nueffrad(1:ngrid,1:nlayermx,iaer) = 0.1 
+               reffrad(1:ngrid,1:nlayer,iaer) = 2.e-6
+               nueffrad(1:ngrid,1:nlayer,iaer) = 0.1 
             endif
 
@@ -126,5 +127,5 @@
 
 !==================================================================
-   subroutine h2o_reffrad(ngrid,pq,pt,reffrad,nueffrad)
+   subroutine h2o_reffrad(ngrid,nlayer,pq,pt,reffrad,nueffrad)
 !==================================================================
 !     Purpose
@@ -141,14 +142,15 @@
 
       include "callkeys.h"
-      include "dimensions.h"
-      include "dimphys.h"
+!      include "dimensions.h"
+!      include "dimphys.h"
       include "comcstfi.h"
 
       integer,intent(in) :: ngrid
-
-      real, intent(in) :: pq(ngrid,nlayermx) !water ice mixing ratios (kg/kg)
-      real, intent(in) :: pt(ngrid,nlayermx) !temperature (K)
-      real, intent(out) :: reffrad(ngrid,nlayermx)      !aerosol radii
-      real, intent(out) :: nueffrad(ngrid,nlayermx) ! dispersion      
+      integer,intent(in) :: nlayer
+
+      real, intent(in) :: pq(ngrid,nlayer) !water ice mixing ratios (kg/kg)
+      real, intent(in) :: pt(ngrid,nlayer) !temperature (K)
+      real, intent(out) :: reffrad(ngrid,nlayer)      !aerosol radii
+      real, intent(out) :: nueffrad(ngrid,nlayer) ! dispersion      
 
       integer :: ig,l
@@ -158,5 +160,5 @@
 
       if (radfixed) then
-         do l=1,nlayermx
+         do l=1,nlayer
             do ig=1,ngrid
                zfice = 1.0 - (pt(ig,l)-T_h2O_ice_clouds) / (T_h2O_ice_liq-T_h2O_ice_clouds)
@@ -167,5 +169,5 @@
          enddo
       else
-         do l=1,nlayermx
+         do l=1,nlayer
             do ig=1,ngrid
                zfice = 1.0 - (pt(ig,l)-T_h2O_ice_clouds) / (T_h2O_ice_liq-T_h2O_ice_clouds)
@@ -186,5 +188,5 @@
 
 !==================================================================
-   subroutine h2o_cloudrad(ngrid,pql,reffliq,reffice)
+   subroutine h2o_cloudrad(ngrid,nlayer,pql,reffliq,reffice)
 !==================================================================
 !     Purpose
@@ -201,12 +203,13 @@
 
       include "callkeys.h"
-      include "dimensions.h"
-      include "dimphys.h"
+!      include "dimensions.h"
+!      include "dimphys.h"
       include "comcstfi.h"
 
       integer,intent(in) :: ngrid
-
-      real, intent(in) :: pql(ngrid,nlayermx) !condensed water mixing ratios (kg/kg)
-      real, intent(out) :: reffliq(ngrid,nlayermx),reffice(ngrid,nlayermx)     !liquid and ice water particle radii (m)
+      integer,intent(in) :: nlayer
+
+      real, intent(in) :: pql(ngrid,nlayer) !condensed water mixing ratios (kg/kg)
+      real, intent(out) :: reffliq(ngrid,nlayer),reffice(ngrid,nlayer)     !liquid and ice water particle radii (m)
 
       real,external :: CBRT            
@@ -214,8 +217,8 @@
 
       if (radfixed) then
-	 reffliq(1:ngrid,1:nlayermx)= rad_h2o
-	 reffice(1:ngrid,1:nlayermx)= rad_h2o_ice
+	 reffliq(1:ngrid,1:nlayer)= rad_h2o
+	 reffice(1:ngrid,1:nlayer)= rad_h2o_ice
       else
-	 do k=1,nlayermx
+	 do k=1,nlayer
 	   do i=1,ngrid
 	     reffliq(i,k) = CBRT(3*pql(i,k)/(4*Nmix_h2o*pi*rhowater))
@@ -234,5 +237,5 @@
 
 !==================================================================
-   subroutine co2_reffrad(ngrid,nq,pq,reffrad)
+   subroutine co2_reffrad(ngrid,nlayer,nq,pq,reffrad)
 !==================================================================
 !     Purpose
@@ -249,12 +252,12 @@
 
       include "callkeys.h"
-      include "dimensions.h"
-      include "dimphys.h"
+!      include "dimensions.h"
+!      include "dimphys.h"
       include "comcstfi.h"
 
-      integer,intent(in) :: ngrid,nq
-
-      real, intent(in) :: pq(ngrid,nlayermx,nq) !tracer mixing ratios (kg/kg)
-      real, intent(out) :: reffrad(ngrid,nlayermx)      !co2 ice particles radii (K)
+      integer,intent(in) :: ngrid,nlayer,nq
+
+      real, intent(in) :: pq(ngrid,nlayer,nq) !tracer mixing ratios (kg/kg)
+      real, intent(out) :: reffrad(ngrid,nlayer)      !co2 ice particles radii (m)
 
       integer :: ig,l
@@ -265,7 +268,7 @@
 
       if (radfixed) then
-         reffrad(1:ngrid,1:nlayermx) = 5.e-5 ! CO2 ice
+         reffrad(1:ngrid,1:nlayer) = 5.e-5 ! CO2 ice
       else
-         do l=1,nlayermx
+         do l=1,nlayer
             do ig=1,ngrid
                zrad = CBRT( 3*pq(ig,l,igcm_co2_ice)/(4*Nmix_co2*pi*rho_co2) )
@@ -281,5 +284,5 @@
 
 !==================================================================
-   subroutine dust_reffrad(ngrid,reffrad)
+   subroutine dust_reffrad(ngrid,nlayer,reffrad)
 !==================================================================
 !     Purpose
@@ -294,13 +297,14 @@
       Implicit none
 
-      include "callkeys.h"
-      include "dimensions.h"
-      include "dimphys.h"
-
-      integer,intent(in) :: ngrid
-
-      real, intent(out) :: reffrad(ngrid,nlayermx)      !dust particles radii (K)
+!      include "callkeys.h"
+!      include "dimensions.h"
+!      include "dimphys.h"
+
+      integer,intent(in) :: ngrid
+      integer,intent(in) :: nlayer
+
+      real, intent(out) :: reffrad(ngrid,nlayer)      !dust particles radii (m)
             
-      reffrad(1:ngrid,1:nlayermx) = 2.e-6 ! dust
+      reffrad(1:ngrid,1:nlayer) = 2.e-6 ! dust
 
    end subroutine dust_reffrad
@@ -309,5 +313,5 @@
 
 !==================================================================
-   subroutine h2so4_reffrad(ngrid,reffrad)
+   subroutine h2so4_reffrad(ngrid,nlayer,reffrad)
 !==================================================================
 !     Purpose
@@ -322,13 +326,14 @@
       Implicit none
 
-      include "callkeys.h"
-      include "dimensions.h"
-      include "dimphys.h"
-
-      integer,intent(in) :: ngrid
-
-      real, intent(out) :: reffrad(ngrid,nlayermx)      !h2so4 particle radii (K)
+!      include "callkeys.h"
+!      include "dimensions.h"
+!      include "dimphys.h"
+
+      integer,intent(in) :: ngrid
+      integer,intent(in) :: nlayer
+
+      real, intent(out) :: reffrad(ngrid,nlayer)      !h2so4 particle radii (m)
                 
-      reffrad(1:ngrid,1:nlayermx) = 1.e-6 ! h2so4
+      reffrad(1:ngrid,1:nlayer) = 1.e-6 ! h2so4
 
    end subroutine h2so4_reffrad
@@ -352,10 +357,10 @@
 
      include "callkeys.h"
-     include "dimensions.h"
-     include "dimphys.h"
-
-      integer,intent(in) :: ngrid
-
-      real, intent(out) :: reffrad(ngrid,nlayermx)      ! particle radii 
+!     include "dimensions.h"
+!     include "dimphys.h"
+
+      integer,intent(in) :: ngrid
+
+      real, intent(out) :: reffrad(ngrid,nlayer)      ! particle radii (m)
       REAL,INTENT(IN) :: pplev(ngrid,nlayer+1) ! inter-layer pressure (Pa)
       INTEGER,INTENT(IN) :: nlayer ! number of atmospheric layers
Index: trunk/LMDZ.GENERIC/libf/phystd/rain.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/rain.F90	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/rain.F90	(revision 1308)
@@ -1,3 +1,3 @@
-subroutine rain(ngrid,nq,ptimestep,pplev,pplay,t,pdt,pq,pdq,d_t,dqrain,dqsrain,dqssnow,rneb)
+subroutine rain(ngrid,nlayer,nq,ptimestep,pplev,pplay,t,pdt,pq,pdq,d_t,dqrain,dqsrain,dqssnow,rneb)
 
 
@@ -22,30 +22,31 @@
 !==================================================================
 
-  include "dimensions.h"
-  include "dimphys.h"
+!  include "dimensions.h"
+!  include "dimphys.h"
   include "comcstfi.h"
   include "callkeys.h"
 
 !     Arguments
-      integer,intent(in) :: ngrid ! number of atmospherci columns
+      integer,intent(in) :: ngrid ! number of atmospheric columns
+      integer,intent(in) :: nlayer ! number of atmospheric layers
       integer,intent(in) :: nq ! number of tracers
       real,intent(in) :: ptimestep    ! time interval
-      real,intent(in) :: pplev(ngrid,nlayermx+1) ! inter-layer pressure (Pa)
-      real,intent(in) :: pplay(ngrid,nlayermx)   ! mid-layer pressure (Pa)
-      real,intent(in) :: t(ngrid,nlayermx) ! input temperature (K)
-      real,intent(in) :: pdt(ngrid,nlayermx) ! input tendency on temperature (K/s)      
-      real,intent(in) :: pq(ngrid,nlayermx,nq)  ! tracers (kg/kg)
-      real,intent(in) :: pdq(ngrid,nlayermx,nq) ! input tendency on tracers
-      real,intent(out) :: d_t(ngrid,nlayermx) ! temperature tendency (K/s)
-      real,intent(out) :: dqrain(ngrid,nlayermx,nq) ! tendency of H2O precipitation (kg/kg.s-1)
+      real,intent(in) :: pplev(ngrid,nlayer+1) ! inter-layer pressure (Pa)
+      real,intent(in) :: pplay(ngrid,nlayer)   ! mid-layer pressure (Pa)
+      real,intent(in) :: t(ngrid,nlayer) ! input temperature (K)
+      real,intent(in) :: pdt(ngrid,nlayer) ! input tendency on temperature (K/s)      
+      real,intent(in) :: pq(ngrid,nlayer,nq)  ! tracers (kg/kg)
+      real,intent(in) :: pdq(ngrid,nlayer,nq) ! input tendency on tracers
+      real,intent(out) :: d_t(ngrid,nlayer) ! temperature tendency (K/s)
+      real,intent(out) :: dqrain(ngrid,nlayer,nq) ! tendency of H2O precipitation (kg/kg.s-1)
       real,intent(out) :: dqsrain(ngrid)  ! rain flux at the surface (kg.m-2.s-1)
       real,intent(out) :: dqssnow(ngrid)  ! snow flux at the surface (kg.m-2.s-1)
-      real,intent(in) :: rneb(ngrid,nlayermx) ! cloud fraction
-
-      REAL zt(ngrid,nlayermx)         ! working temperature (K)
-      REAL ql(ngrid,nlayermx)         ! liquid water (Kg/Kg)
-      REAL q(ngrid,nlayermx)          ! specific humidity (Kg/Kg)
-      REAL d_q(ngrid,nlayermx)        ! water vapor increment
-      REAL d_ql(ngrid,nlayermx)       ! liquid water / ice increment
+      real,intent(in) :: rneb(ngrid,nlayer) ! cloud fraction
+
+      REAL zt(ngrid,nlayer)         ! working temperature (K)
+      REAL ql(ngrid,nlayer)         ! liquid water (Kg/Kg)
+      REAL q(ngrid,nlayer)          ! specific humidity (Kg/Kg)
+      REAL d_q(ngrid,nlayer)        ! water vapor increment
+      REAL d_ql(ngrid,nlayer)       ! liquid water / ice increment
 
 !     Subroutine options
@@ -73,5 +74,5 @@
 !     Local variables
       INTEGER i, k, n
-      REAL zqs(ngrid,nlayermx),Tsat(ngrid,nlayermx), zdelta, zcor
+      REAL zqs(ngrid,nlayer),Tsat(ngrid,nlayer), zdelta, zcor
       REAL zrfl(ngrid), zrfln(ngrid), zqev, zqevt
 
@@ -80,10 +81,10 @@
       REAL zchau(ngrid),zfroi(ngrid),zfrac(ngrid),zneb(ngrid)
 
-      real reffh2oliq(ngrid,nlayermx),reffh2oice(ngrid,nlayermx)
+      real reffh2oliq(ngrid,nlayer),reffh2oice(ngrid,nlayer)
   
       real ttemp, ptemp, psat_tmp
-      real tnext(ngrid,nlayermx)
-
-      real l2c(ngrid,nlayermx)
+      real tnext(ngrid,nlayer)
+
+      real l2c(ngrid,nlayer)
       real dWtot
 
@@ -151,5 +152,5 @@
 
 !     GCM -----> subroutine variables
-      DO k = 1, nlayermx
+      DO k = 1, nlayer
       DO i = 1, ngrid
 
@@ -172,12 +173,12 @@
 
 !     Initialise the outputs
-      d_t(1:ngrid,1:nlayermx) = 0.0
-      d_q(1:ngrid,1:nlayermx) = 0.0
-      d_ql(1:ngrid,1:nlayermx) = 0.0
+      d_t(1:ngrid,1:nlayer) = 0.0
+      d_q(1:ngrid,1:nlayer) = 0.0
+      d_ql(1:ngrid,1:nlayer) = 0.0
       zrfl(1:ngrid) = 0.0
       zrfln(1:ngrid) = 0.0
 
       ! calculate saturation mixing ratio
-      DO k = 1, nlayermx
+      DO k = 1, nlayer
          DO i = 1, ngrid
             ttemp = zt(i,k) 
@@ -190,5 +191,5 @@
 
       ! get column / layer conversion factor
-      DO k = 1, nlayermx
+      DO k = 1, nlayer
          DO i = 1, ngrid
             l2c(i,k)=(pplev(i,k)-pplev(i,k+1))/g
@@ -199,5 +200,5 @@
       ! We carry the rain with us and calculate that added by warm/cold precipitation
       ! processes and that subtracted by evaporation at each level.
-      DO k = nlayermx, 1, -1
+      DO k = nlayer, 1, -1
 
          IF (evap_prec) THEN ! note no rneb dependence!
@@ -273,5 +274,5 @@
 
  !recalculate liquid water particle radii
-	   call h2o_cloudrad(ngrid,ql,reffh2oliq,reffh2oice)
+	   call h2o_cloudrad(ngrid,nlayer,ql,reffh2oliq,reffh2oice)
 
            SELECT CASE(precip_scheme)
@@ -357,5 +358,5 @@
          endif ! if precip_scheme=1
 
-      ENDDO ! of DO k = nlayermx, 1, -1
+      ENDDO ! of DO k = nlayer, 1, -1
 
 !     Rain or snow on the ground
@@ -376,11 +377,11 @@
 !     now subroutine -----> GCM variables
       if (evap_prec) then
-        dqrain(1:ngrid,1:nlayermx,i_vap)=d_q(1:ngrid,1:nlayermx)/ptimestep
-        d_t(1:ngrid,1:nlayermx)=d_t(1:ngrid,1:nlayermx)/ptimestep
+        dqrain(1:ngrid,1:nlayer,i_vap)=d_q(1:ngrid,1:nlayer)/ptimestep
+        d_t(1:ngrid,1:nlayer)=d_t(1:ngrid,1:nlayer)/ptimestep
       else
-        dqrain(1:ngrid,1:nlayermx,i_vap)=0.0
-        d_t(1:ngrid,1:nlayermx)=0.0
+        dqrain(1:ngrid,1:nlayer,i_vap)=0.0
+        d_t(1:ngrid,1:nlayer)=0.0
       endif
-      dqrain(1:ngrid,1:nlayermx,i_ice) = d_ql(1:ngrid,1:nlayermx)/ptimestep
+      dqrain(1:ngrid,1:nlayer,i_ice) = d_ql(1:ngrid,1:nlayer)/ptimestep
 
     end subroutine rain
Index: trunk/LMDZ.GENERIC/libf/phystd/rcm1d.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/rcm1d.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/rcm1d.F	(revision 1308)
@@ -16,4 +16,5 @@
       use comgeomphy, only: initcomgeomphy
       use slab_ice_h, only: noceanmx
+      use planete_mod
 
       implicit none
@@ -45,8 +46,8 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "dimphys.h"
+!include "dimphys.h"
 #include "callkeys.h"
 #include "comcstfi.h"
-#include "planete.h"
+!#include "planete.h"
 !#include "control.h"
 #include "comvert.h"
@@ -67,10 +68,10 @@
       REAL day           ! date durant le run
       REAL time             ! time (0<time<1 ; time=0.5 a midi)
-      REAL play(nlayermx)   ! Pressure at the middle of the layers (Pa)
-      REAL plev(nlayermx+1) ! intermediate pressure levels (pa)
+      REAL play(llm)   ! Pressure at the middle of the layers (Pa)
+      REAL plev(llm+1) ! intermediate pressure levels (pa)
       REAL psurf,tsurf(1)      
-      REAL u(nlayermx),v(nlayermx)  ! zonal, meridional wind
+      REAL u(llm),v(llm)  ! zonal, meridional wind
       REAL gru,grv   ! prescribed "geostrophic" background wind
-      REAL temp(nlayermx)   ! temperature at the middle of the layers
+      REAL temp(llm)   ! temperature at the middle of the layers
       REAL,ALLOCATABLE :: q(:,:) ! tracer mixing ratio (e.g. kg/kg)
       REAL,ALLOCATABLE :: qsurf(:)      ! tracer surface budget (e.g. kg.m-2)
@@ -81,10 +82,10 @@
       integer :: i_h2o_vap=0  ! tracer index of h2o vapor
       REAL emis(1)             ! surface layer
-      REAL q2(nlayermx+1)   ! Turbulent Kinetic Energy
-      REAL zlay(nlayermx)   ! altitude estimee dans les couches (km)
+      REAL q2(llm+1)   ! Turbulent Kinetic Energy
+      REAL zlay(llm)   ! altitude estimee dans les couches (km)
 
 c    Physical and dynamical tandencies (e.g.  m.s-2, K/s, Pa/s)
-      REAL du(nlayermx),dv(nlayermx),dtemp(nlayermx)
-      REAL dudyn(nlayermx),dvdyn(nlayermx),dtempdyn(nlayermx)
+      REAL du(llm),dv(llm),dtemp(llm)
+      REAL dudyn(llm),dvdyn(llm),dtempdyn(llm)
       REAL dpsurf    
       REAL,ALLOCATABLE :: dq(:,:)
@@ -94,8 +95,8 @@
 !      INTEGER thermo
       REAL zls
-      REAL phi(nlayermx),h(nlayermx),s(nlayermx)
-      REAL pks, ptif, w(nlayermx)
+      REAL phi(llm),h(llm),s(llm)
+      REAL pks, ptif, w(llm)
       INTEGER ierr, aslun
-      REAL tmp1(0:nlayermx),tmp2(0:nlayermx)
+      REAL tmp1(0:llm),tmp2(0:llm)
       Logical  tracerdyn
       integer :: nq !=1 ! number of tracers
@@ -111,8 +112,8 @@
 !     added by RW for autozlevs computation
       real nu, xx, pMIN, zlev, Htop
-      real logplevs(nlayermx)
+      real logplevs(llm)
 
 !     added by BC
-      REAL cloudfrac(1,nlayermx)
+      REAL cloudfrac(1,llm)
       REAL hice(1),totcloudfrac(1)
       REAL qzero1D   !initial water amount on the ground
@@ -253,8 +254,8 @@
           if (nq>0) then
             allocate(tname(nq))
-            allocate(q(nlayermx,nq))
+            allocate(q(llm,nq))
             allocate(qsurf(nq))
-            allocate(dq(nlayermx,nq))
-            allocate(dqdyn(nlayermx,nq))
+            allocate(dq(llm,nq))
+            allocate(dqdyn(llm,nq))
           else
             write(*,*) "rcm1d: Error. You set tracer=.true."
@@ -298,6 +299,6 @@
         allocate(tname(1)) 
         allocate(qsurf(1))
-        allocate(q(nlayermx,1))
-        allocate(dq(nlayermx,1))
+        allocate(q(llm,1))
+        allocate(dq(llm,1))
       
        ! Check that tracer boolean is compliant with number of tracers
@@ -484,5 +485,5 @@
 c  --------------
 c
-      nlayer=nlayermx
+      nlayer=llm
       nlevel=nlayer+1
       nsoil=nsoilmx
@@ -890,5 +891,5 @@
          OPEN(12,file='profile.out',form='formatted')
          write(12,*) tsurf
-         DO ilayer=1,nlayermx
+         DO ilayer=1,llm
             write(12,*) temp(ilayer) !, play(ilayer) !AS12 only temp so that iprofile=8 can be used
          ENDDO
Index: trunk/LMDZ.GENERIC/libf/phystd/soil.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/soil.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/soil.F	(revision 1308)
@@ -17,6 +17,6 @@
 !-----------------------------------------------------------------------
 
-      include "dimensions.h"
-      include "dimphys.h"
+!      include "dimensions.h"
+!      include "dimphys.h"
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/start2archive.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/start2archive.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/start2archive.F	(revision 1308)
@@ -27,8 +27,10 @@
 ! to use  'getin'
       USE ioipsl_getincom
+      USE planete_mod
 
       implicit none
 
 #include "dimensions.h"
+      integer, parameter :: ngridmx = (2+(jjm-1)*iim - 1/jjm) 
 #include "paramet.h"
 #include "comconst.h"
@@ -41,6 +43,6 @@
 #include "ener.h"
 
-#include "dimphys.h"
-#include "planete.h"
+!#include "dimphys.h"
+!#include "planete.h"
 !#include"advtrac.h"
 #include "netcdf.inc"
@@ -69,5 +71,5 @@
       REAL tsoil(ngridmx,nsoilmx) ! Soil temperature
       REAL co2ice(ngridmx)	! CO2 ice layer
-      REAL q2(ngridmx,nlayermx+1)
+      REAL q2(ngridmx,llm+1)
       REAL,ALLOCATABLE :: qsurf(:,:)
       REAL emis(ngridmx)
@@ -80,5 +82,5 @@
 !     added by FF for cloud fraction setup
       REAL hice(ngridmx)
-      REAL cloudfrac(ngridmx,nlayermx),totalcloudfrac(ngridmx)
+      REAL cloudfrac(ngridmx,llm),totalcloudfrac(ngridmx)
 
 !     added by BC for slab ocean
@@ -199,6 +201,6 @@
 
 
-      CALL phyetat0 (ngridmx,fichnom,0,Lmodif,nsoilmx,nqtot,day_ini_fi,
-     .      timefi,
+      CALL phyetat0 (ngridmx,llm,fichnom,0,Lmodif,nsoilmx,nqtot,
+     .      day_ini_fi,timefi,
      .      tsurf,tsoil,emis,q2,qsurf,
 !       change FF 05/2011
Index: trunk/LMDZ.GENERIC/libf/phystd/stellarlong.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/stellarlong.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/stellarlong.F	(revision 1308)
@@ -1,3 +1,5 @@
       SUBROUTINE stellarlong(pday,pstellong)
+      
+      USE planete_mod, ONLY: year_day, peri_day, e_elips, timeperi
       IMPLICIT NONE
 
@@ -40,5 +42,5 @@
 c   -------------
 
-#include "planete.h"
+!#include "planete.h"
 #include "comcstfi.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/surf_heat_transp_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/surf_heat_transp_mod.F90	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/surf_heat_transp_mod.F90	(revision 1308)
@@ -7,5 +7,5 @@
 CONTAINS
 
-      SUBROUTINE divgrad_phy(nlevs,temp,delta)
+      SUBROUTINE divgrad_phy(ngrid,nlevs,temp,delta)
 
 
@@ -14,5 +14,5 @@
 
 #include "dimensions.h"
-#include "dimphys.h"
+!#include "dimphys.h"
 #include "paramet.h"
 #include "comcstfi.h"
@@ -20,12 +20,13 @@
 #include "comhdiff.h"
       
-      INTEGER nlevs, ll
-      REAL temp(ngridmx,nlevs)
+      INTEGER,INTENT(IN) :: ngrid, nlevs
+      REAL,INTENT(IN) :: temp(ngrid,nlevs)
+      REAL,INTENT(OUT) :: delta(ngrid,nlevs)
       REAL delta_2d(ip1jmp1,nlevs)
-      REAL delta(ngridmx,nlevs)
+      INTEGER :: ll
       REAL ghx(ip1jmp1,nlevs), ghy(ip1jm,nlevs)
 
 
-      CALL gr_fi_dyn(nlevs,ngridmx,iip1,jjp1,temp,delta_2d)
+      CALL gr_fi_dyn(nlevs,ngrid,iip1,jjp1,temp,delta_2d)
       CALL grad(nlevs,delta_2d,ghx,ghy)
       DO ll=1,nlevs
@@ -36,5 +37,5 @@
       END DO
       CALL diverg(nlevs,ghx,ghy,delta_2d)
-      CALL gr_dyn_fi(nlevs,iip1,jjp1,ngridmx,delta_2d,delta)
+      CALL gr_dyn_fi(nlevs,iip1,jjp1,ngrid,delta_2d,delta)
 
 
@@ -43,10 +44,10 @@
 
 
-      SUBROUTINE init_masquv(zmasq)
+      SUBROUTINE init_masquv(ngrid,zmasq)
      
       IMPLICIT NONE
 
 #include "dimensions.h"
-#include "dimphys.h"
+!#include "dimphys.h"
 #include "paramet.h"
 #include "comcstfi.h"   
@@ -55,5 +56,6 @@
 
 
-      REAL zmasq(ngridmx)
+      INTEGER,INTENT(IN) :: ngrid
+      REAL zmasq(ngrid)
       REAL zmasq_2d(ip1jmp1)
       REAL ff(ip1jm)
@@ -66,5 +68,5 @@
       zmasqv=1.
 
-      CALL gr_fi_dyn(1,ngridmx,iip1,jjp1,zmasq,zmasq_2d)
+      CALL gr_fi_dyn(1,ngrid,iip1,jjp1,zmasq,zmasq_2d)
 
       DO i=1,ip1jmp1-1
@@ -104,5 +106,5 @@
 
 
-      SUBROUTINE slab_ekman2(tx_phy,ty_phy,ts_phy,dt_phy)
+      SUBROUTINE slab_ekman2(ngrid,tx_phy,ty_phy,ts_phy,dt_phy)
   
           use slab_ice_h 
@@ -111,5 +113,5 @@
       
 #include "dimensions.h"
-#include "dimphys.h"
+!#include "dimphys.h"
 #include "paramet.h"
 #include "comcstfi.h"
@@ -118,4 +120,5 @@
 #include "comhdiff.h"
 
+      INTEGER,INTENT(IN) :: ngrid
       INTEGER ij
       REAL txv(ip1jm),fluxm(ip1jm),tyv(ip1jm)
@@ -123,6 +126,6 @@
       REAL tyu(ip1jmp1),txu(ip1jmp1),fluxz(ip1jmp1),fluxv(ip1jmp1)
       REAL dt(ip1jmp1,noceanmx),ts(ip1jmp1,noceanmx)
-      REAL tx_phy(ngridmx),ty_phy(ngridmx)
-      REAL dt_phy(ngridmx,noceanmx),ts_phy(ngridmx,noceanmx)
+      REAL tx_phy(ngrid),ty_phy(ngrid)
+      REAL dt_phy(ngrid,noceanmx),ts_phy(ngrid,noceanmx)
 
 
@@ -130,6 +133,6 @@
 
 ! Passage taux,y sur grilles 2d
-      CALL gr_fi_dyn(1,ngridmx,iip1,jjp1,tx_phy,txu)
-      CALL gr_fi_dyn(1,ngridmx,iip1,jjp1,ty_phy,tyu)
+      CALL gr_fi_dyn(1,ngrid,iip1,jjp1,tx_phy,txu)
+      CALL gr_fi_dyn(1,ngrid,iip1,jjp1,ty_phy,tyu)
 ! Passage grille u,v
 ! Multiplication par f ou eps.
@@ -144,5 +147,5 @@
             
 ! Calcul de T, Tdeep
-      CALL gr_fi_dyn(2,ngridmx,iip1,jjp1,ts_phy,ts)
+      CALL gr_fi_dyn(2,ngrid,iip1,jjp1,ts_phy,ts)
        
 ! Flux de masse
@@ -222,5 +225,5 @@
 
 ! Retour grille physique
-      CALL gr_dyn_fi(2,iip1,jjp1,ngridmx,dt,dt_phy)
+      CALL gr_dyn_fi(2,iip1,jjp1,ngrid,dt,dt_phy)
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F	(revision 1308)
@@ -33,6 +33,6 @@
 !==================================================================
 
-#include "dimensions.h"
-#include "dimphys.h"
+!#include "dimensions.h"
+!#include "dimphys.h"
 #include "comcstfi.h"
 #include "callkeys.h"
Index: trunk/LMDZ.GENERIC/libf/phystd/surfini.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/surfini.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/surfini.F	(revision 1308)
@@ -15,6 +15,6 @@
 c   Declarations:
 c   -------------
-#include "dimensions.h"
-#include "dimphys.h"
+!#include "dimensions.h"
+!#include "dimphys.h"
 #include "callkeys.h"
 c
Index: trunk/LMDZ.GENERIC/libf/phystd/tabfi.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/tabfi.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/tabfi.F	(revision 1308)
@@ -34,5 +34,5 @@
 c                              comparer avec le day_ini dynamique)
 c
-c      - lmax:    tab_cntrl(tab0+2) (pour test avec nlayermx)
+c      - lmax:    tab_cntrl(tab0+2) (pour test avec nlayer)
 c
 c      - p_rad
@@ -51,9 +51,11 @@
       use iostart, only: get_var
       use mod_phys_lmdz_para, only: is_parallel
+      use planete_mod, only: year_day, periastr, apoastr, peri_day,
+     &                       obliquit, z0, lmixmin, emin_turb
 
       implicit none
  
 #include "comcstfi.h"
-#include "planete.h"
+!#include "planete.h"
 #include "netcdf.inc"
 #include "callkeys.h"
